<div>
  <!-- url download link -->
  <div class="input-group justify-content-center copyurl">
    <input
      type="url"
      id="currentUrl"
      class="form-control"
      data-autoselect=""
      value="{{ url }}"
      readonly=""
    />
    <button mat-raised-button color="primary" (click)="copyToClipboard()">
      copy url
    </button>
  </div>
  <p></p>
  <!-- job table (only one job!)-->
  <table class="table table-striped jobcontrol">
    <thead>
      <tr>
        <th scope="col">job label</th>
        <th scope="col">creation time</th>
        <th scope="col">status</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngIf="!job">
        <td colspan="4">
          <span
            class="spinner-border spinner-border-sm ml-2 bg-white"
            role="status"
            aria-hidden="true"
          ></span>
          Loading...
        </td>
      </tr>
      <tr *ngIf="job">
        <td>
          {{ job.parameters.jobLabel }}
        </td>
        <td>
          {{ job.creationdate }}
        </td>
        <td>
          {{ job.statusmessage }}
        </td>
        <td>
          <span *ngIf="job.downloadURL != ''">
            <button
              mat-flat-button
              color="primary"
              (click)="getDownload(job.prophaneJobUUID)"
            >
              Download
            </button>
          </span>
        </td>
      </tr>
    </tbody>
  </table>
</div>

<p></p>
<p></p>
<!-- view results of job-->
<ng-container *ngIf="this.job != null">
  <app-side-bar-results [job]="this.job"></app-side-bar-results>
</ng-container>
